pub enum Command {
    Strap,
    None,
}

impl From<String> for Command {
    fn from(value: String) -> Self {
        match value.to_lowercase().as_str() {
            "strap" => Command::Strap,
            _ => Command::None,
        }
    }
}
pub struct Args {
    pub command: Command,
    pub args: Vec<String>,
}

impl From<Vec<String>> for Args {
    fn from(value: Vec<String>) -> Self {
        if value.len() == 0 {
            return Args {
                command: Command::from(String::default()),
                args: vec![],
            }
        }

        Args {
            command: Command::from(value[0].to_owned()),
            args: if value.len() > 1 {
                value[1..].to_owned()
            } else {
                vec![]
            },
        }
    }
}
